// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: Management.proto

package proto.management;

public interface RequestClanInfoOrBuilder extends
        // @@protoc_insertion_point(interface_extends:management.RequestClanInfo)
        com.google.protobuf.MessageOrBuilder {

    /**
     * <code>required int32 world = 1;</code>
     *
     * @return Whether the world field is set.
     */
    boolean hasWorld();

    /**
     * <code>required int32 world = 1;</code>
     *
     * @return The world.
     */
    int getWorld();

    /**
     * <code>required string clanOwner = 2;</code>
     *
     * @return Whether the clanOwner field is set.
     */
    boolean hasClanOwner();

    /**
     * <code>required string clanOwner = 2;</code>
     *
     * @return The clanOwner.
     */
    java.lang.String getClanOwner();

    /**
     * <code>required string clanOwner = 2;</code>
     *
     * @return The bytes for clanOwner.
     */
    com.google.protobuf.ByteString
    getClanOwnerBytes();
}
